Authorization: Bearer ********************
image_url
image_file
curl --location --request POST 'https://api.pawmaas.com/task/pic/segmentation' \ --header 'Authorization: Bearer <token>' \ --form 'image_file=@""' \ --form 'image_url="https://p1-kling.klingai.com/bs2/upload-ylab-stunt/332e084d74c59da4056b7600c151d469.png"' \ --form 'sync="1"' \ --form 'type=""' \ --form 'output_type="2"' \ --form 'crop="0"' \ --form 'format="png"' \ --form 'bg_color=""' \ --form 'callback_url=""'
{ "status": 200, "data": { "completed_at": 1742670627, "created_at": 1742670626, "download_time": 488, "err_info": "", "foreground_rect": { "x": 133, "y": 110, "width": 604, "height": 952 }, "image": "https://wxtechsz.oss-cn-shenzhen.aliyuncs.com/tasks/output/segmentation/3b950563-e53f-4036-a581-5ac04d0829b3-image.png?x-oss-credential=LTAI5tGjJnh66c1txANiRBQN/20250322/cn-shenzhen/oss/aliyun_v4_request&x-oss-date=20250322T191028Z&x-oss-expires=3600&x-oss-signature=67a3fda34dcf0827e9ec9eae3e84f134a59dedff406a4a79fa5b76bbe16a007c&x-oss-signature-version=OSS4-HMAC-SHA256", "image_height": 1152, "image_width": 864, "output_type": 2, "processed_at": 1742670626, "progress": 100, "result_type": "object", "return_type": 1, "state": 1, "state_detail": "Complete", "task_id": "3b950563-e53f-4036-a581-5ac04d0829b3", "time_elapsed": 384.54998779296875, "type": "auto" } }